TCFMTTEST(1)

NAME
tcfmttest - test cases of the fixed-length database API

DESCRIPTION

The command `tcfmttest' is a utility for facility test under multi-thread situation. This command is used in the following format. `path' specifies the path of a database file. `tnum' specifies the number of running threads. `rnum' specifies the number of iterations. `width' specifies the width of the value of each record. `limsiz' specifies the limit size of the database file.

    tcfmttest write [-nl|-nb] [-rnd] path tnum rnum [width [limsiz]]
        Store records with keys of 8 bytes. They change as `00000001', `00000002'...
    tcfmttest read [-nl|-nb] [-wb] [-rnd] path tnum
        Retrieve all records of the database above.
    tcfmttest remove [-nl|-nb] [-rnd] path tnum
        Remove all records of the database above.
    tcfmttest wicked [-nl|-nb] [-nc] path tnum rnum
        Perform updating operations selected at random.
    tcfmttest typical [-nl|-nb] [-nc] [-rr num] path tnum rnum [width [limsiz]]
        Perform typical operations selected at random.

Options feature the following.

    -nl : enable the option `FDBNOLCK'.
    -nb : enable the option `FDBLCKNB'.
    -rnd : select keys at random.
    -wb : use the function `tcfdbget4' instead of `tcfdbget2'.
    -nc : omit the comparison test.
    -rr num : specifiy the ratio of reading operation by percentage.

This command returns 0 on success, another on failure.

SEE ALSO

tcftest(1), tcfmgr(1), tcfdb(3), tokyocabinet(3)